## ros-one-ament-cmake-libraries 2.8.4-2jammy.20251014.2033

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.4-2jammy.20251014.2033) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 Oct 2025 20:33:24 +0000

ros-one-ament-cmake-libraries (2.8.4-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Jul 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.3-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.6.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.6.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.5.0-0jammy) jammy; urgency=high

  * perf: faster ament_libraries_deduplicate implementation (#448 <https://github.com/ament/ament_cmake/issues/448>)
    Co-authored-by: Scott K Logan <mailto:logans@cottsay.net>
  * Contributors: Vincent Richard

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.4.0-0jammy) jammy; urgency=high

  * Subtle fix for ament_libraries_deduplicate tests (#516 <https://github.com/ament/ament_cmake/issues/516>)
  * Add some basic tests to ament_cmake_libraries (#512 <https://github.com/ament/ament_cmake/issues/512>)
  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo, Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.3.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 26 Dec 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.3.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.3.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.2.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.2.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.2.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.1.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.0.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.0.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.0.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.3-0jammy) jammy; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.2-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 11 Jul 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.4.0-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.3.1-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.3.0-0jammy) jammy; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Feb 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.2.1-0jammy) jammy; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.


## ros-one-ament-cmake-libraries 2.8.4-2noble.20251014.2035

=== test/CMakeLists.txt ===
add_test(deduplicate "${CMAKE_COMMAND}" -P ${CMAKE_CURRENT_LIST_DIR}/test_deduplicate.cmake)

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.4-2noble.20251014.2035) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 14 Oct 2025 20:35:15 +0000

ros-one-ament-cmake-libraries (2.8.4-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 01 Jul 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 19 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 04 Jun 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 20 May 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.8.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.3-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 19 Nov 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 03 Oct 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.7.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 25 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.6.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.6.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.5.0-0noble) noble; urgency=high

  * perf: faster ament_libraries_deduplicate implementation (#448 <https://github.com/ament/ament_cmake/issues/448>)
    Co-authored-by: Scott K Logan <mailto:logans@cottsay.net>
  * Contributors: Vincent Richard

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.4.0-0noble) noble; urgency=high

  * Subtle fix for ament_libraries_deduplicate tests (#516 <https://github.com/ament/ament_cmake/issues/516>)
  * Add some basic tests to ament_cmake_libraries (#512 <https://github.com/ament/ament_cmake/issues/512>)
  * Update maintainer list in package.xml files (#503 <https://github.com/ament/ament_cmake/issues/503>)
  * Contributors: Michael Jeronimo, Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 00:00:00 -0000

ros-one-ament-cmake-libraries (2.3.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 26 Dec 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.3.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 06 Nov 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.3.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 07 Sep 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.2.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.2.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 21 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.2.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 07 Jun 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.1.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 26 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.0.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.0.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (2.0.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 11 Apr 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.3-0noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#411 <https://github.com/ament/ament_cmake/issues/411>)
    * Update maintainers to Michael Jeronimo
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 13 Feb 2023 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.2-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.5.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 11 Jul 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.4.0-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 29 Apr 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.3.1-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 28 Mar 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.3.0-0noble) noble; urgency=high

  * Update forthcoming version in changelog
  * Contributors: Audrow Nash

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Feb 2022 00:00:00 -0000

ros-one-ament-cmake-libraries (1.2.1-0noble) noble; urgency=high

  * Resolve various ament_lint linter violations (#360 <https://github.com/ament/ament_cmake/issues/360>)
    We can't add ament_lint linters in ament_cmake in the traditional way
    without creating a circular dependency between the repositories. Even
    though we can't automatically enforce linting, it's still a good idea to
    try to keep conformance where possible.


=== debian/control ===
Source: ros-one-ament-cmake-libraries
Section: misc
Priority: optional
Maintainer: Chris Lalancette <clalancette@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-one-ament-cmake-core
Homepage: 
Standards-Version: 3.9.2

Package: ros-one-ament-cmake-libraries
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-one-ament-cmake-core
Description: The functionality to deduplicate libraries in the ament buildsystem in CMake.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/one/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG
ifneq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	BUILD_TESTING_ARG=-DBUILD_TESTING=OFF
endif

DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh $@ -v --buildsystem=cmake --builddirectory=.obj-$(DEB_HOST_GNU_TYPE)

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_configure -- \
		-DFETCHCONTENT_FULLY_DISCONNECTED=OFF \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/one" \
		-DAMENT_PREFIX_PATH="/opt/ros/one" \
		-DCMAKE_PREFIX_PATH="/opt/ros/one" \
		$(BUILD_TESTING_ARG)

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-one-ament-cmake-libraries//opt/ros/one/lib/:$(CURDIR)/debian/ros-one-ament-cmake-libraries//opt/ros/one/opt/ament_cmake_libraries/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/one/setup.sh" ]; then . "/opt/ros/one/setup.sh"; fi && \
	dh_auto_install

## ros-one-ament-cmake-libraries 2.8.4-5jammy.20251201.2037

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.4-5jammy.20251201.2037) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Dec 2025 20:37:38 +0000

## ros-one-ament-cmake-libraries 2.8.4-5noble.20251201.2042

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.4-5noble.20251201.2042) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 01 Dec 2025 20:42:29 +0000

## ros-one-ament-cmake-libraries 2.8.5-0jammy.20260114.0906

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.5-0jammy.20260114.0906) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 14 Jan 2026 09:06:22 +0000

ros-one-ament-cmake-libraries (2.8.5-0jammy) jammy; urgency=high

  * Address ament_lint_cmake regressions (#604 <https://github.com/ament/ament_cmake/issues/604>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Jan 2026 00:00:00 -0000

## ros-one-ament-cmake-libraries 2.8.5-0noble.20260114.0911

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.5-0noble.20260114.0911) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Wed, 14 Jan 2026 09:11:47 +0000

ros-one-ament-cmake-libraries (2.8.5-0noble) noble; urgency=high

  * Address ament_lint_cmake regressions (#604 <https://github.com/ament/ament_cmake/issues/604>)
  * Contributors: Scott K Logan

 -- Chris Lalancette <clalancette@gmail.com>  Tue, 13 Jan 2026 00:00:00 -0000

## ros-one-ament-cmake-libraries 2.8.6-0jammy.20260223.2103

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.6-0jammy.20260223.2103) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 21:03:44 +0000

ros-one-ament-cmake-libraries (2.8.6-0jammy) jammy; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 00:00:00 -0000

## ros-one-ament-cmake-libraries 2.8.6-0noble.20260223.2056

=== debian/changelog ===
ros-one-ament-cmake-libraries (2.8.6-0noble.20260223.2056) UNRELEASED; urgency=medium

  * Append timestamp when binarydeb was built.

 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 20:56:30 +0000

ros-one-ament-cmake-libraries (2.8.6-0noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 23 Feb 2026 00:00:00 -0000
